Package com.oracle.truffle.api.instrument

## Interface SyntaxTagged

All Known Implementing Classes:
  `Probe`

    public interface SyntaxTagged

Information about a guest language program element in a Truffle AST that can be marked as belonging to 0 or more tags.

Disclaimer: experimental interface under development.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Collection<SyntaxTag>` `getSyntaxTags()` In which user-sensible categories has this node been tagged (empty set if none).
`boolean` `isTaggedAs​(SyntaxTag tag)` Is this node tagged as belonging to a particular human-sensible category of language constructs?

### Method Detail

#### isTaggedAs

    boolean isTaggedAs​(SyntaxTag tag)

Is this node tagged as belonging to a particular human-sensible category of language constructs?

#### getSyntaxTags

    java.util.Collection<SyntaxTag> getSyntaxTags()

In which user-sensible categories has this node been tagged (empty set if none).